package no.valg.valgnatt.backend.rapport;

import com.google.gson.JsonArray;
import no.valg.valgnatt.database.geografi.Fylke;
import no.valg.valgnatt.database.geografi.Kommune;
import org.junit.Test;

import static org.junit.Assert.assertEquals;

public class MerknaderTest {

    private JsonArray merknader = new JsonObjectWrapper().leggTilTabell("merknader");

    @Test
    public void leggTilMerknader_gittKommuneOmfattetAvRegionsreformen_returnererMerknad1() {
        Kommune kommune = new Kommune("3001", "Halden", false, false);
        
        Merknader.leggTilMerknader(kommune, 2019, merknader);

        assertEquals(1, merknader.size());
        assertEquals(1, merknader.get(0).getAsInt());
    }

    @Test
    public void leggTilMerknader_gittFylkeOmfattetAvRegionsreformen_returnererMerknad1() {
        Fylke fylke = new Fylke();
        fylke.setNr("30");

        Merknader.leggTilMerknader(fylke, 2019, merknader);

        assertEquals(1, merknader.size());
        assertEquals(1, merknader.get(0).getAsInt());
    }

    @Test
    public void leggTilMerknader_gittKommuneIkkeOmfattetAvRegionsreformen_returnererTomMerknadsarray() {
        Kommune kommune = new Kommune("0301", "Oslo", false, false);

        Merknader.leggTilMerknader(kommune, 2019, merknader);

        assertEquals(0, merknader.size());
    }

    @Test
    public void leggTilMerknader_gittFylkeIkkeOmfattetAvRegionsreformen_returnererTomMerknadsarray() {
        Fylke fylke = new Fylke();
        fylke.setNr("03");

        Merknader.leggTilMerknader(fylke, 2019, merknader);

        assertEquals(0, merknader.size());
    }
}
